DNS monitörleri
GET https://uptimeset.com/api/dns-monitors/
curl --request GET \
--url 'https://uptimeset.com/api/dns-monitors/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeset.com/api/dns-monitors/' \
--header 'Authorization: Bearer {api_key}' \
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| search | İsteğe bağlı Dize | Arama dizesi. |
| search_by | İsteğe bağlı Dize | Hangi alana göre arama yapıyorsunuz. İzin verilen değerler şunlardır: name, target. |
| is_enabled | İsteğe bağlı Mantıksal | |
| datetime_field | İsteğe bağlı Dize | İzin verilen değerler: datetime, last_datetime, last_check_datetime, last_change_datetime |
| datetime_start | İsteğe bağlı Dize | Sonuçları bu tarih saatinden başlayarak filtreleyin. Y-m-d H:i:s formatı. |
| datetime_end | İsteğe bağlı Dize | Bu tarih ve saate kadar sonuçları filtrele. Y-m-d H:i:s formatı. |
| order_by | İsteğe bağlı Dize | Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler: dns_monitor_id, datetime, last_datetime, last_check_datetime, last_change_datetime, total_checks, total_changes, name. |
| order_type | İsteğe bağlı Dize | Sonuçların sıralaması. İzin verilen değerler şunlardır: ASC artan sıralama için, ve DESC azalan sıralama için. |
| page | İsteğe bağlı Tam sayı | Sonuçları almak istediğiniz sayfa numarası. Varsayılan olarak 1. |
| results_per_page | İsteğe bağlı Tam sayı | Sayfa başına kaç sonuç istediğinizi belirtir. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"dns": [],
"notifications": [],
"settings": [],
"total_checks": 1,
"total_changes": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"last_change_datetime": null,
"is_enabled": true,
"datetime": "2026-10-16 11:42:46",
"last_datetime": null
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://uptimeset.com/api/dns-monitors?page=1",
"last": "https://uptimeset.com/api/dns-monitors?page=1",
"next": null,
"prev": null,
"self": "https://uptimeset.com/api/dns-monitors?page=1"
}
}
GET https://uptimeset.com/api/dns-monitors/{dns_monitor_id}
curl --request GET \
--url 'https://uptimeset.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeset.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"dns": [],
"notifications": [],
"settings": [],
"total_checks": 1,
"total_changes": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"last_change_datetime": null,
"is_enabled": true,
"datetime": "2026-10-16 11:42:46",
"last_datetime": null
}
}
POST https://uptimeset.com/api/dns-monitors
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| name | Gerekli Dize | - |
| target | Gerekli Dize | - |
| project_id | İsteğe bağlı Tam sayı | - |
| notifications | İsteğe bağlı Dizi | Bildirim işleyici kimlikleri |
| dns_check_interval_seconds | İsteğe bağlı Tam sayı | İzin verilen değerler: 300, 600, 1800, 3600, 21600, 43200, 86400 (Saniye) |
| dns_types | İsteğe bağlı Dizi | İzin verilen değerler: A, CNAME, CAA, MX, NS, SOA, TXT, AAAA |
| is_enabled | İsteğe bağlı Mantıksal | - |
curl --request POST \
--url 'https://uptimeset.com/api/dns-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://uptimeset.com/api/dns-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"dns": null,
"notifications": [],
"settings": [],
"total_checks": 1,
"total_changes": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"last_change_datetime": null,
"is_enabled": true,
"datetime": "2026-10-16 11:42:46",
"last_datetime": null
}
}
POST https://uptimeset.com/api/dns-monitors/{dns_monitor_id}
| Parametreler | Ayrıntılar | Açıklama |
|---|---|---|
| name | Gerekli Dize | - |
| target | Gerekli Dize | - |
| project_id | İsteğe bağlı Tam sayı | - |
| notifications | İsteğe bağlı Dizi | Bildirim işleyici kimlikleri |
| dns_check_interval_seconds | İsteğe bağlı Tam sayı | İzin verilen değerler: 300, 600, 1800, 3600, 21600, 43200, 86400 (Saniye) |
| dns_types | İsteğe bağlı Dizi | İzin verilen değerler: A, CNAME, CAA, MX, NS, SOA, TXT, AAAA |
| is_enabled | İsteğe bağlı Mantıksal | - |
curl --request POST \
--url 'https://uptimeset.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptimeset.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"dns": [],
"notifications": [],
"settings": [],
"total_checks": 1,
"total_changes": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"last_change_datetime": null,
"is_enabled": true,
"datetime": "2026-10-16 11:42:46",
"last_datetime": null
}
}
DELETE https://uptimeset.com/api/dns-monitors/{dns_monitor_id}
curl --request DELETE \
--url 'https://uptimeset.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeset.com/api/dns-monitors/{dns_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \